# Class BasicTextUI.BasicHighlighter

java.lang.Object
javax.swing.text.LayeredHighlighter
javax.swing.text.DefaultHighlighter
javax.swing.plaf.basic.BasicTextUI.BasicHighlighter

All Implemented Interfaces:
  `UIResource, Highlighter`

Enclosing class:
  `BasicTextUI`

public static class BasicTextUI.BasicHighlighter extends DefaultHighlighter implements UIResource
Default implementation of the interface `Highlighter`.

## Nested Class Summary

### Nested classes/interfaces declared in class DefaultHighlighter

`DefaultHighlighter.DefaultHighlightPainter`

### Nested classes/interfaces declared in class LayeredHighlighter

`LayeredHighlighter.LayerPainter`

### Nested classes/interfaces declared in interface Highlighter

`Highlighter.Highlight, Highlighter.HighlightPainter`

## Field Summary

### Fields declared in class DefaultHighlighter

`DefaultPainter`

## Constructor Summary

Constructors
Constructor
Description
`BasicHighlighter()`
Constructs a `BasicHighlighter`.

## Method Summary

### Methods declared in class DefaultHighlighter

`addHighlight, changeHighlight, deinstall, getDrawsLayeredHighlights, getHighlights, install, paint, paintLayeredHighlights, removeAllHighlights, removeHighlight, setDrawsLayeredHighlights`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicHighlighter

public BasicHighlighter()
Constructs a `BasicHighlighter`.